#
# spec file for package gap-openmath
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-openmath
Version:        11.5.3
Release:        1.4
Summary:        GAP: OpenMath functionality in GAP
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/openmath/
#Git-Clone:     https://github.com/gap-packages/openmath
Source:         https://github.com/gap-packages/openmath/releases/download/v%version/OpenMath-%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildArch:      noarch
Requires:       gap-core >= 4.9
Requires:       gap-gapdoc >= 1.6
Requires:       gap-io >= 4.5.1

%description
The package provides an OpenMath phrasebook for GAP: it allows GAP
users to import and export mathematical objects encoded in OpenMath,
for the purpose of exchanging them with other OpenMath-enabled
applications.

%prep
%autosetup -n OpenMath-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Feb 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 11.5.3
  * No user-visible changes
* Tue Dec 20 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 11.5.2
  * Avoid DeclareGlobalVariable and InstallValue
  * Use AsSet instead of AsList to ensure stable order of the result
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 11.5.1
  * Janitorial changes only
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 11.4.2
  * Replaced EvalString by Int to convert a string to an integer
  * Added xmlns and version to OMOBJ tag
  * Replace obsolete Tuple by DirectProductElement
  * Switched from READ_COMMAND to READ_COMMAND_REAL
* Sat Mar 12 2016 jengelh@inai.de
- Update to new upstream release 11.3.1
  * No changelog was provided
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 11.2.0
  * Added function EvalOMString which is an analog of EvalString to
  evaluate a string containing an OpenMath object
* Fri May 10 2013 jengelh@inai.de
- Split openmath (version 11.1.4) off the gap RPM package
